reader.hpp File Reference
`#include <cerrno>`
`#include <cstdlib>`
`#include <fcntl.h>`
`#include <future>`
`#include <memory>`
`#include <string>`
`#include <system_error>`
`#include <thread>`
`#include <utility>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <osmium/io/compression.hpp>`
`#include <osmium/io/detail/input_format.hpp>`
`#include <osmium/io/detail/read_thread.hpp>`
`#include <osmium/io/detail/read_write.hpp>`
`#include <osmium/io/detail/queue_util.hpp>`
`#include <osmium/io/error.hpp>`
`#include <osmium/io/file.hpp>`
`#include <osmium/io/header.hpp>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/osm/entity_bits.hpp>`
`#include <osmium/thread/util.hpp>`
Include dependency graph for reader.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::io::Reader

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::io
| Everything related to input and output of OSM data.

## Functions

template<typename... TArgs>
osmium::memory::Buffer | osmium::io::read_file (TArgs &&...args)